sc::SphericalTransformComponent(3)

NAME
sc::SphericalTransformComponent - This is a base class for a container for a component of a sparse Cartesian to solid harmonic basis function transformation.

SYNOPSIS

#include <transform.h>

Inherited by sc::SphericalTransformComponentCCA, sc::SphericalTransformComponentCints, and sc::SphericalTransformComponentV3.

  Public Member Functions
int a () const
Returns the exponent of x.
int b () const
Returns the exponent of y.
int c () const
Returns the exponent of z.
int cartindex () const
Returns the index of the Cartesian basis function.
int pureindex () const
Returns the index solid harmonic basis function.
double coef () const
Returns the coefficient of this component of the transformation.
virtual void init (int a, int b, int c, double coef, int pureindex)=0
Initialize this object.

  Protected Attributes
double coef_
int a_
int b_
int c_
int cartindex_
int pureindex_

Detailed Description

This is a base class for a container for a component of a sparse Cartesian to solid harmonic basis function transformation.

Member Function Documentation

  virtual void sc::SphericalTransformComponent::init (int a, int b, int c, double coef, int pureindex) [pure virtual]

Initialize this object.

This must be provided in all specializations of this class to establish the ordering between a, b and c and the index of the Cartesian basis function. Other things such as adjustment of the coefficient to account for normalization differences can be done as well. The default SphericalTransform::init() implementation requires that only the xl , yl and zl basis functions are normalized to unity.

Author

Generated automatically by Doxygen for MPQC from the source code.